Для успешной установки и последующей работы phpBB3 необходимы следующие основные требования:

  • Вебсервер под управлением любой операционной системы с поддержкой PHP
  • Сервер SQL, список поддерживаемых:
    • MySQL 3.23 и выше (MySQLi поддерживается)
    • MariaDB 5.1 и выше
    • PostgreSQL 8.3+
    • SQLite 3.6.15+
    • MS SQL Server 2000 и выше (прямое подключение, либо через ODBC или нативный драйвер)
    • Oracle
  • PHP 5.4.7 и выше. Начиная с версии 3.2.2 совместимо с PHP 7.2 и выше.
  • Обязательные модули PHP:
    • json
    • XML
    • Соответствующий PHP-модуль для СУБД, которую вы собираетесь использовать
  • Доступность функции getimagesize().
  • Наличие следующих модулей PHP позволит получить дополнительные возможности (не обязательны):
    • Поддержка сжатия zlib
    • Поддержка удаленного доступа к FTP
    • Imagemagick
    • Модуль GD

Наличие каждого вышеперечисленного компонента будет проверено в процессе установки phpBB3, как это будет объяснено дальше в разделе 1.2 «Установка phpBB».

Оригинал статьи

Joomla SEF URLs by Artio